### Method

# Malcontent SessionLimits serialize

since: 0.7.0

#### Declaration [src]

    GVariant*
    mct_session_limits_serialize (
      MctSessionLimits* limits
    )

#### Description [src]

Build a `GVariant` which contains the session limits from `limits`, in an opaque variant format.

This format may change in future, but `mct_session_limits_deserialize()` is guaranteed to always be able to load any variant produced by the current or any previous version of `mct_session_limits_serialize()`.

Available since: 0.7.0

#### Return value

Type: `GVariant`

A new, floating `GVariant` containing the session limits.

The returned data is owned by the instance.